Install z-push-backend-kopano with community packages installed


  • Hi @all,

    First, thank you for the amazing software - it works great!
    I’m on Debian 10 and installed all Packages from community and now try to setup z-push.

    root@mail:~# apt list --installed kopano*
    Auflistung... Fertig
    kopano-archiver/now 10.0.3.41.515f6ef2c-0+29.2 amd64  [Installiert,lokal]
    kopano-backup/now 10.0.3.41.515f6ef2c-0+20.1 amd64  [Installiert,lokal]
    kopano-bash-completion/now 10.0.3.41.515f6ef2c-0+29.2 amd64  [Installiert,lokal]
    kopano-client-dbgsym/now 10.0.3.41.515f6ef2c-0+29.2 amd64  [Installiert,lokal]
    kopano-client/now 10.0.3.41.515f6ef2c-0+29.2 amd64  [Installiert,lokal]
    kopano-common/now 10.0.3.41.515f6ef2c-0+29.2 amd64  [Installiert,lokal]
    kopano-dagent-dbgsym/now 10.0.3.41.515f6ef2c-0+29.2 amd64  [Installiert,lokal]
    kopano-dagent-pytils/now 10.0.3.41.515f6ef2c-0+20.1 amd64  [Installiert,lokal]
    kopano-dagent/now 10.0.3.41.515f6ef2c-0+29.2 amd64  [Installiert,lokal]
    kopano-dbg/now 10.0.3.41.515f6ef2c-0+29.2 amd64  [Installiert,lokal]
    kopano-dev/now 10.0.3.41.515f6ef2c-0+29.2 amd64  [Installiert,lokal]
    kopano-gateway-dbgsym/now 10.0.3.41.515f6ef2c-0+29.2 amd64  [Installiert,lokal]
    kopano-gateway/now 10.0.3.41.515f6ef2c-0+29.2 amd64  [Installiert,lokal]
    kopano-grapi-bin/now 10.2.0+4.a5080ed-0+28.1 amd64  [Installiert,lokal]
    kopano-grapi/now 10.2.0+4.a5080ed-0+28.1 amd64  [Installiert,lokal]
    kopano-ical-dbgsym/now 10.0.3.41.515f6ef2c-0+29.2 amd64  [Installiert,lokal]
    kopano-ical/now 10.0.3.41.515f6ef2c-0+29.2 amd64  [Installiert,lokal]
    kopano-indexer/now 10.0.3.41.515f6ef2c-0+29.2 all  [Installiert,lokal]
    kopano-kapid/now 0.14.0-0+337.2 amd64  [Installiert,lokal]
    kopano-konnectd/now 0.30.0-0+346.1 amd64  [Installiert,lokal]
    kopano-kwebd/now 0.9.1-0+302.1 amd64  [Installiert,lokal]
    kopano-lang/now 10.0.3.41.515f6ef2c-0+29.2 all  [Installiert,lokal]
    kopano-migration-imap/now 10.0.3.41.515f6ef2c-0+29.2 amd64  [Installiert,lokal]
    kopano-migration-pst/now 10.0.3.41.515f6ef2c-0+20.1 amd64  [Installiert,lokal]
    kopano-monitor-dbgsym/now 10.0.3.41.515f6ef2c-0+29.2 amd64  [Installiert,lokal]
    kopano-monitor/now 10.0.3.41.515f6ef2c-0+29.2 amd64  [Installiert,lokal]
    kopano-python-utils/now 10.0.3.41.515f6ef2c-0+20.1 amd64  [Installiert,lokal]
    kopano-python3-extras-dbgsym/now 0.2.0+0-0+55.1 amd64  [Installiert,lokal]
    kopano-python3-extras/now 0.2.0+0-0+55.1 amd64  [Installiert,lokal]
    kopano-search/now 10.0.3.41.515f6ef2c-0+20.1 amd64  [Installiert,lokal]
    kopano-server-dbgsym/now 10.0.3.41.515f6ef2c-0+29.2 amd64  [Installiert,lokal]
    kopano-server-packages/now 10.0.3.41.515f6ef2c-0+29.2 all  [Installiert,lokal]
    kopano-server/now 10.0.3.41.515f6ef2c-0+29.2 amd64  [Installiert,lokal]
    kopano-spamd/now 10.0.3.41.515f6ef2c-0+20.1 amd64  [Installiert,lokal]
    kopano-spooler-dbgsym/now 10.0.3.41.515f6ef2c-0+29.2 amd64  [Installiert,lokal]
    kopano-spooler/now 10.0.3.41.515f6ef2c-0+29.2 amd64  [Installiert,lokal]
    kopano-statsd-dbgsym/now 10.0.3.41.515f6ef2c-0+29.2 amd64  [Installiert,lokal]
    kopano-statsd/now 10.0.3.41.515f6ef2c-0+29.2 amd64  [Installiert,lokal]
    kopano-webapp-plugin-contactfax/now 4.0.2709+1591.1 all  [Installiert,lokal]
    kopano-webapp-plugin-desktopnotifications/now 2.0.3.48+72.2 all  [Installiert,lokal]
    kopano-webapp-plugin-filepreviewer/now 2.2.0.26+21.5 all  [Installiert,lokal]
    kopano-webapp-plugin-files/now 3.0.0.24+337.1 all  [Installiert,lokal]
    kopano-webapp-plugin-filesbackend-owncloud/now 3.0.0.7+105.1 all  [Installiert,lokal]
    kopano-webapp-plugin-filesbackend-smb/now 3.0.0.7+74.1 all  [Installiert,lokal]
    kopano-webapp-plugin-folderwidgets/now 4.0.2709+1591.1 all  [Installiert,lokal]
    kopano-webapp-plugin-gmaps/now 4.0.2709+1591.1 all  [Installiert,lokal]
    kopano-webapp-plugin-htmleditor-minimal-tinymce/now 1.0.0.13+27.3 all  [Installiert,lokal]
    kopano-webapp-plugin-htmleditor-quill/now 1.0.0.80+77.1 all  [Installiert,lokal]
    kopano-webapp-plugin-intranet/now 1.0.1.17+64.2 all  [Installiert,lokal]
    kopano-webapp-plugin-mattermost/now 1.0.1+39.2 all  [Installiert,lokal]
    kopano-webapp-plugin-pimfolder/now 4.0.2709+1591.1 all  [Installiert,lokal]
    kopano-webapp-plugin-quickitems/now 4.0.2709+1591.1 all  [Installiert,lokal]
    kopano-webapp-plugin-titlecounter/now 4.0.2709+1591.1 all  [Installiert,lokal]
    kopano-webapp-plugin-webappmanual/now 4.0.2709+1591.1 all  [Installiert,lokal]
    kopano-webapp-plugin-zdeveloper/now 4.0.2709+1591.1 all  [Installiert,lokal]
    kopano-webapp/now 4.0.2709+1591.1 all  [Installiert,lokal]
    

    When I try to install z-push-backend-kopano I get the following error:

    root@mail:~# apt install z-push-common z-push-backend-kopano
    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut.       
    Statusinformationen werden eingelesen.... Fertig
    Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
    Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
    Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
    nicht erstellt wurden oder Incoming noch nicht verlassen haben.
    Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:
    
    Die folgenden Pakete haben unerfüllte Abhängigkeiten:
     z-push-backend-kopano : Hängt ab von: php-mapi (>= 8.6.60-1~) soll aber nicht installiert werden
    E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.
    

    So it says I dont have php-mapi installed - a short check:

    root@mail:~# dpkg -l | grep mapi
    ii  libkcicalmapi0                                  10.0.3.41.515f6ef2c-0+29.2   amd64        iCal interface for MAPI
    ii  libkcicalmapi0-dbgsym                           10.0.3.41.515f6ef2c-0+29.2   amd64        debug symbols for libkcicalmapi0
    ii  libkcinetmapi0                                  10.0.3.41.515f6ef2c-0+29.2   amd64        Interface between internet e-mail and MAPI
    ii  libkcinetmapi0-dbgsym                           10.0.3.41.515f6ef2c-0+29.2   amd64        debug symbols for libkcinetmapi0
    ii  libmapi1                                        10.0.3.41.515f6ef2c-0+29.2   amd64        Kopano's implementation of the Messaging API
    ii  libmapi1-dbgsym                                 10.0.3.41.515f6ef2c-0+29.2   amd64        debug symbols for libmapi1
    ii  php7-mapi                                       10.0.3.41.515f6ef2c-0+29.2   amd64        PHP bindings for MAPI
    ii  php7-mapi-dbgsym                                10.0.3.41.515f6ef2c-0+29.2   amd64        debug symbols for php7-mapi
    ii  python3-mapi                                    10.0.3.41.515f6ef2c-0+29.2   amd64        Python 3 bindings for MAPI
    ii  python3-mapi-dbgsym                             10.0.3.41.515f6ef2c-0+29.2   amd64        debug symbols for python3-mapi
    

    Okay, then when I try to install php-mapi I get:

    root@mail01:~# apt-install php-mapi
    -bash: apt-install: Kommando nicht gefunden.
    root@mail01:~# apt install php-mapi
    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut.       
    Statusinformationen werden eingelesen.... Fertig
    Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
    Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
    Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
    nicht erstellt wurden oder Incoming noch nicht verlassen haben.
    Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:
    
    Die folgenden Pakete haben unerfüllte Abhängigkeiten:
     php-mapi : Hängt ab von: kopano-libs (>= 8.7.0) soll aber nicht installiert werden
    E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.
    

    It says “kopano-libs” is missing, but I cannot install kopano-libs with “apt install kopano-libs” because this would mess up the packages.

    So how do I install z-push-backend-kopano with community packages installed?

  • Kopano

    Hi @vupibi,

    that sounds pretty much like the Z-Push version you want to install comes from the Debian repositories and not the official source.

    You can find information about installation of Z-Push at https://wiki.z-hub.io/display/ZP/Installation


  • hi @fbartels,

    Thank you very much for your response, I could not see the forest for the trees.
    So installing with the deb files from here with: dpkg -i *.deb and another apt -f installdid it.

    Thank you very much!

  • Kopano

    @vupibi thanks for the update. Instead of downloading the packages and installing them through dpkg you could also have configured the directory as a package repository btw.


  • Hi @fbartels,

    thats good to know, I am still learning - thanks again! :)
    Mails are working with z-push perfectly but currently im struggling to get Z-Push to sync the Kopano calendar.

    Should the calendar of the user sync with z-push-backend-kopano out of the box, or do I need to use combined backends with z-push-backend-kopano and z-push-backend-caldav?


  • To reply to my own question: Yes, the backend kopano does sync calendar and contacts.
    Everything is working now since I have Z-Push running on a different VM. Thanks!